bitbake ok but hob fails with udev_182.bb vs udev_164.bb error

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

bitbake ok but hob fails with udev_182.bb vs udev_164.bb error

Jump to solution
1,583 Views
mike99
Contributor II

When I build with bitbake there do not appear to be any issues - log attached, however running hob immediately warns of udev  issues with two versions listed 182 and 164.

 

I can see with two versions with bitbake -s: 

 

[lsi@fedora1 build_p5020ds-64b_release]$ bitbake  fsl-image-full -s | grep udev

lib32-udev                                            :182-r0                         

lib32-udev-extraconf                                  :0.0-r2                         

python-pyudev                                        :0.11-r1                         

udev                                              :164-+fsl.1                         

udev-extra-rules                                      :1.0-r3                         

udev-extraconf                                        :0.0-r2   

 

I did do a clean etc but that did not help.

I tried to cut and paste the hob log text, but I could not find any way to do it so I have attached the screen shot.


I am not sure what I m missing since I am new to hob/bitbake etc, any thoughts appreciated, my goal is to use hob to remove only one or two things from the filesystem image.

Original Attachment has been moved to: bitbake.txt.zip

Labels (1)
Tags (1)
0 Kudos
Reply
1 Solution
1,106 Views
mike99
Contributor II

I stole this from another poster Yocto SDK 1.3 Fails building fsl-image-lsb-sdk on p2041 with the same issue and it now builds.


edit meta-fsl-ppc/conf/machine/<your build target>.conf to add PREFERRED_VERSION_udev="175"

    2. bitbake udev -c cleansstate

    3. bitbake fsl-image-lsb-sdk


View solution in original post

0 Kudos
Reply
3 Replies
1,107 Views
mike99
Contributor II

I stole this from another poster Yocto SDK 1.3 Fails building fsl-image-lsb-sdk on p2041 with the same issue and it now builds.


edit meta-fsl-ppc/conf/machine/<your build target>.conf to add PREFERRED_VERSION_udev="175"

    2. bitbake udev -c cleansstate

    3. bitbake fsl-image-lsb-sdk


0 Kudos
Reply
1,106 Views
OtavioSalvador
Senior Contributor II

You must to set preferred version; I think hob is manging the distro setting and thus breaking the FSL distro override.  

0 Kudos
Reply
1,106 Views
mike99
Contributor II

Thank for looking, how do I set the preferred version ?, I just started again from scratch and I still get the same issue so I am missing something.

cd /mnt/work/QorIQ-SDK-V1.3-20121114-yocto

./scripts/host-prepare.sh

source ./fsl-setup-poky -mp5020ds-64b -j2 -t2

hob


I tried to build the fsl full image and various other images and this fails for p5020ds and 4080 its something fundamental that is there in my procedure  even after complete reinstalls

0 Kudos
Reply